org.icefaces.ace.component.fileentry

## Class FileUploadPortletRequestWrapper

- java.lang.Object
- - javax.portlet.filter.PortletRequestWrapper
  - - org.icefaces.ace.component.fileentry.FileUploadPortletRequestWrapper

- All Implemented Interfaces:
    javax.portlet.PortletRequest

      public class FileUploadPortletRequestWrapper
      extends javax.portlet.filter.PortletRequestWrapper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.portlet.PortletRequest

      `javax.portlet.PortletRequest.P3PUserInfos`

  - ### Field Summary

    - ### Fields inherited from interface javax.portlet.PortletRequest

      `ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadPortletRequestWrapper(java.lang.Object request, java.util.Map<java.lang.String,java.lang.String[]> parameterMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContentType()`
    `java.lang.String` | `getParameter(java.lang.String name)`
    `java.util.Map<java.lang.String,java.lang.String[]>` | `getParameterMap()`
    `java.util.Enumeration<java.lang.String>` | `getParameterNames()`
    `java.lang.String[]` | `getParameterValues(java.lang.String name)`

    - ### Methods inherited from class javax.portlet.filter.PortletRequestWrapper

      `getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequest, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute, setRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUploadPortletRequestWrapper

          public FileUploadPortletRequestWrapper(java.lang.Object request,
                                                 java.util.Map<java.lang.String,java.lang.String[]> parameterMap)

  - ### Method Detail

    - #### getParameterMap

          public java.util.Map<java.lang.String,java.lang.String[]> getParameterMap()

      Specified by:
        `getParameterMap` in interface `javax.portlet.PortletRequest`
      Overrides:
        `getParameterMap` in class `javax.portlet.filter.PortletRequestWrapper`

    - #### getParameterNames

          public java.util.Enumeration<java.lang.String> getParameterNames()

      Specified by:
        `getParameterNames` in interface `javax.portlet.PortletRequest`
      Overrides:
        `getParameterNames` in class `javax.portlet.filter.PortletRequestWrapper`

    - #### getParameter

          public java.lang.String getParameter(java.lang.String name)

      Specified by:
        `getParameter` in interface `javax.portlet.PortletRequest`
      Overrides:
        `getParameter` in class `javax.portlet.filter.PortletRequestWrapper`

    - #### getParameterValues

          public java.lang.String[] getParameterValues(java.lang.String name)

      Specified by:
        `getParameterValues` in interface `javax.portlet.PortletRequest`
      Overrides:
        `getParameterValues` in class `javax.portlet.filter.PortletRequestWrapper`

    - #### getContentType

          public java.lang.String getContentType()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.